/* DO NOT EDIT THIS FILE - it is machine generated */
#include <jni.h>

/* Header for class LaneAvailabilityJNIWrapper_LAJNIWrapperClass */

#ifndef _Included_LaneAvailabilityJNIWrapper_LAJNIWrapperClass
#define _Included_LaneAvailabilityJNIWrapper_LAJNIWrapperClass
#ifdef __cplusplus
extern "C" 
{
#endif
/*
 * Class:     LaneAvailabilityJNIWrapper_LAJNIWrapperClass
 * Method:    LAUpdateStaticMessage
 * Signature: (Ljava/lang/String;)V
 */
JNIEXPORT void JNICALL Java_LaneAvailabilityJNIWrapper_LAJNIWrapperClass_LAUpdateStaticMessage (JNIEnv *, jobject, jstring);

/*
 * Class:     LaneAvailabilityJNIWrapper_LAJNIWrapperClass
 * Method:    LAUpdateInterventionMessage
 * Signature: (Ljava/lang/String;)V
 */
JNIEXPORT void JNICALL Java_LaneAvailabilityJNIWrapper_LAJNIWrapperClass_LAUpdateInterventionMessage(JNIEnv *, jobject, jstring);

/*
 * Class:     LaneAvailabilityJNIWrapper_LAJNIWrapperClass
 * Method:    LAUpdateWeightMessage
 * Signature: (Ljava/lang/String;)V
 */
JNIEXPORT void JNICALL Java_LaneAvailabilityJNIWrapper_LAJNIWrapperClass_LAUpdateWeightMessage(JNIEnv *, jobject, jstring);

/*
 * Class:     LaneAvailabilityJNIWrapper_LAJNIWrapperClass
 * Method:    LAUpdateFinishTrx
 * Signature: ()V
 */
JNIEXPORT void JNICALL Java_LaneAvailabilityJNIWrapper_LAJNIWrapperClass_LAUpdateFinishTrx(JNIEnv *, jobject);

/*
 * Class:     LaneAvailabilityJNIWrapper_LAJNIWrapperClass
 * Method:    TrimString
 * Signature: (Ljava/lang/String;)Ljava/lang/String;
 */
JNIEXPORT jstring JNICALL Java_LaneAvailabilityJNIWrapper_LAJNIWrapperClass_TrimString(JNIEnv *, jobject, jstring);

#ifdef __cplusplus
}
#endif
#endif
